炫意html5
最早CSS3和HTML5移动技术网站之一

无法成功安装detectron2 和ABCNet的问题请教

基础环境:Ubuntu18.04, cuda10.1, python3.6, pytorch 1.6.0+cu101。
早先做其他模型,早已经安装好了opencv-python, 也根据相关教程,事先安装好了fvcore, cython 和pycocotools。





现在是按照官网的教程:使用命令
git clone https://github.com/facebookresearch/detectron2.git
python -m pip install -e detectron2
结果报错,提示:

然后我改用官网提示的另一种方法:Install Pre-Built Detectron2 (Linux only)中的命令:
python -m pip install detectron2 -f
https://dl.fbaipublicfiles.com/detectron2/wheels/cu101/torch1.6/index.html
来安装对应版本的detectron2,结果是成功了,导包也没报错。。

但是!! 我在编译ABCnet的环境时,Python setup.py build develop,仍旧是不行,也报了上述同样的问题:RuntimeError: Error compiling objects for extension。。。而且我查看了detectron2的内置方法,只有2个:setup_environment和utils…我个人是感觉,其实detectron2仍旧是没有安装成功。。
因此,想请大佬指点下迷津,到底哪里出了问题。。

回答

同样的问题,请问你最后解决了吗?

炫意HTML5 » 无法成功安装detectron2 和ABCNet的问题请教

Java基础教程Android基础教程